package se.chalmers.cs.gf.tramdemo;

public class ShortestPathQuery {
        private String from;
        private String to;

        public ShortestPathQuery(String from, String to) {
                this.from = from;
                this.to = to;
        }

        public String getFrom() {
                return from;
        }

        public String getTo() {
                return to;
        }

        public boolean equals(Object o) {
                return o instanceof ShortestPathQuery && equals((ShortestPathQuery)o);
        }

        public boolean equals(ShortestPathQuery q) {
                return from.equals(q.from) && to.equals(q.to);
        }
        
        public int hashCode() {
                int c1 = from.hashCode();
                int c2 = to.hashCode();
                return c1 ^ (c2 << 16 | c2 >> 16);
        }

        public String toString() {
                return "ShortestPathQuery(" + from + "," + to + ")";
        }
}
